Widget File Reference
`#include <osg/Texture2D>`
`#include <osgWidget/EventInterface>`
`#include <osgWidget/StyleInterface>`
`#include <osgWidget/UIObjectParent>`
`#include <osgWidget/Types>`

Go to the source code of this file.

## Classes

class | osgWidget::Widget
struct | osgWidget::NotifyWidget
struct | osgWidget::NullWidget

## Namespaces

namespace | osgWidget

## Macros

#define | OSGWIDGET_WIDGET

## Typedefs

typedef std::list< osg::observer_ptr< Widget > > | osgWidget::WidgetList

## Macro Definition Documentation

## OSGWIDGET_WIDGET

#define OSGWIDGET_WIDGET